Bug 166960 - Review Request: Fuse-emulator
Review Request: Fuse-emulator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://www.all-the-johnsons.co.uk/emu...
:
Depends On: 171801
Blocks: FE-ACCEPT 167364
  Show dependency treegraph
 
Reported: 2005-08-28 20:49 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-18 17:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Paul F. Johnson 2005-09-02 19:10:22 EDT
I've uploaded a new spec file which packages without the ROMS.

http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-0.7.0-noroms.spec
Comment 2 Paul F. Johnson 2005-09-02 19:30:02 EDT
srpm now uploaded

http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-0.7.0-3.src.rpm
Comment 3 Thorsten Leemhuis 2005-09-03 01:40:51 EDT
I'm just wondering: Not that we name fuse-utils fuse-emulator-utils shouldn't we
name the core package fuse-emulator?
Comment 4 Dave Malcolm 2005-09-08 17:21:26 EDT
FWIW I think "fuse-emulator" is a better name, "fuse" is really short and might
conflict with the user-space filesystem project at some point.  Then again, I'm
a Vic20 fan, so what do I know :-)
Comment 5 Paul F. Johnson 2005-09-08 19:29:05 EDT
Okay, name changed. Dave, I always had you down as either a Dragon32 or Oric
user mate!

Can someone give it a bashing so I can have it entered into extras?
Comment 6 Tom "spot" Callaway 2005-10-05 13:52:43 EDT
Please do the following for all of the packages in this ticket:

- Remove the BR: perl (its not needed)
- Use %configure instead of ./configure --prefix=...
- Provide Source: with full path to upstream source
- make all Devel packages Requires: %{name} = %{version}-%{release}
- delete the .la files and don't include them in the -devel packages

I'll do a full review on the fixed packages when I see em. :)
Comment 7 Paul F. Johnson 2005-10-17 12:53:23 EDT
New spec files and new src.rpms now uploaded

http://www.all-the-johnsons.co.uk/emulation/downloads/lib765-0.3.3-1.spec
http://www.all-the-johnsons.co.uk/emulation/downloads/libspectrum-0.2.2-2.spec
http://www.all-the-johnsons.co.uk/emulation/downloads/libdsk-1.1.4-1.spec

src rpm names

libdsk-1.1.4-1.2.src.rpm
lib765-0.3.3-1.2.src.rpm
libspectrum-0.2.2-2.3.src.rpm

Main fuse compilation causing a few problems, so will complete that tonight
(different box)
Comment 8 Paul F. Johnson 2005-10-17 18:28:18 EDT
New fuse-emulator spec
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-0.7.0.spec

src rpm
fuse-0.7.0-4.src.rpm
Comment 9 Paul Howarth 2005-10-18 08:20:03 EDT
Some notes after a quick look at the fuse-emulator package:

The package is still called fuse rather than fuse-emulator

The spec file name is fuse-0.7.0-noroms.spec but should be fuse-emulator.spec

Some optimization of the BuildRequires is possible:
* zlib-devel is required by libxml2-devel and libpng-devel and can be omitted
* glibc-devel is required by gcc and can be omitted 

You have:
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
but the %post and %postun scriptlets are empty

What's with the BR: gtk2-devel => 2.8.0; this prevents builds on FC4 and below,
and appears to be unnecessary; the package builds fine on FC4 with gtk2-devel
2.6.10 anyway and the configure script only appears to check for version 2.0.0
or above

The libraries should really have separate review requests rather than being
lumped into one big request like this one

The tarball URL referenced in the ROMS file does not work

Spec file should clearly indicate that the SRPM tarball is modified from
upstream so as to not include the ROMS (maybe rename the tarball
fuse-noroms-0.7.0...)

A quick HOWTO describing how to run some of the examples in the z88dk package
would be nice; I haven't figured it out yet so perhaps it's non-obvious...


Comment 10 Paul F. Johnson 2005-10-26 13:21:04 EDT
New fuse-emulator spec
http://www.all-the-johnsons.co.uk/emulation/downloads/fuse-emulator-0.7.0.spec

src rpm
fuse-0.7.0-5.src.rpm

I am going to open new requests for the libraries and changing the summary
request name to reflect this
Comment 11 Paul F. Johnson 2005-10-26 13:24:17 EDT
Libraries now in #171801
Comment 12 Paul Howarth 2006-01-15 05:30:14 EST
Bug reopened as this package has never been approved.
Comment 13 Paul F. Johnson 2006-01-17 18:09:56 EST
Ping spot, come in spot...
Comment 14 Paul Howarth 2006-01-18 02:14:12 EST
(In reply to comment #13)
> Ping spot, come in spot...

I would suggest having working spec/SRPM URLs before pinging Spot.
Comment 15 Paul F. Johnson 2006-01-18 05:38:54 EST
Odd - they were there a week or so back. I'll have to rebuild from home tonight
and upload.
Comment 16 Paul Howarth 2006-01-18 05:47:23 EST
(In reply to comment #15)
> Odd - they were there a week or so back. I'll have to rebuild from home tonight
> and upload.

Please ensure that the spec file name is "fuse-emulator.spec" rather than
"fuse-emulator-0.7.0.spec" when you do this.
Comment 17 Paul F. Johnson 2006-02-09 18:19:56 EST
New URLS

http://www.smmp.salford.ac.uk/packages/fuse-emulator.spec
http://www.smmp.salford.ac.uk/packages/fuse-emulator-0.7.0-6.src.rpm

Now correctly packaged and with the fresh smell of mint
Comment 18 Paul F. Johnson 2006-02-20 19:08:07 EST
Earth to spot, come in spot...
Earth to spot, come in spot...
Comment 19 Paul F. Johnson 2006-03-07 04:35:07 EST
/me watches the tumbleweed...
Comment 20 Tom "spot" Callaway 2006-03-07 11:03:05 EST
Alright, alright, I'm on it.

The obvious issue that I have already hit is that lib765-devel does not Require:
lib765 = %{version}-%{release}. Please fix that in CVS and rebuild.
Comment 21 Tom "spot" Callaway 2006-03-07 11:09:05 EST
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Bad:

- Source does not match upstream:

md5sum upstream/fuse-0.7.0.tar.gz ../SOURCES/fuse-0.7.0.tar.gz
d81ad260cd6a8dd533af01ee6a5f9527  upstream/fuse-0.7.0.tar.gz
ebb124e808e6467630efaae01fe03b64  ../SOURCES/fuse-0.7.0.tar.gz

Show me a new SRPM with source that matches upstream, and I'll approve this.
Comment 22 Paul F. Johnson 2006-03-07 13:45:07 EST
They won't match as they're not the same. The original tarball contains the ROMS
which needed to be omitted. If the ROMs are in the SRPM, won't that also give
the same problems as if if they were included in the main RPM?
Comment 23 Tom "spot" Callaway 2006-03-07 13:54:20 EST
Ahh, ok. Then this is approved.
Comment 24 Christian Iseli 2006-04-08 16:51:46 EDT
Please add the package in owners.list
Comment 25 Ian Chapman 2007-06-28 18:53:36 EDT
Package Change Request
======================
Package Name: fuse-emulator
Updated Fedora Owners: packages@amiga-hardware.com,paul@all-the-johnsons.co.uk

The current maintainer (paul@all-the-johnsons.co.uk) has given me his permission
to take ownership of this package as he is unable to maintain it at the moment
for personal reasons. I would like Paul to remain as co-maintainer in case he
wishes to continue with the package in the future.
Comment 26 Kevin Fenzi 2007-06-28 19:10:36 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.